<!DOCTYPE html>
<html ng-app="app">

<head>
    <title>Pense S.A Company</title>
    <link rel="shortcut icon" href="../img/logo-menu.png" type="image/x-icon">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.3/css/bulma.min.css">
    <link rel="stylesheet" href="../style/login.css">
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-auth.js"></script>


</head>

<body ng-controller="LoginController" class="section">

    <div class="container is-vcentered">

        <!-- Formulário -->
        <div class="columns is-centered">
            <div class="column is-one-third">
                <form class="box">
                    <!-- Imagem do Logo -->
                    <div class="has-text-centered mb-4">
                        <img src="../img/logo-menu.png" alt="Logo" class="image is-128x128" />
                    </div>
        
                    <!-- Restante do formulário -->
                    <label class="label">Email:</label>
                    <div class="control has-icons-left">
                        <input class="input" type="email" ng-model="loginData.email" required>
                        <span class="icon is-small is-left">
                            <i class="fas fa-envelope"></i>
                        </span>
                    </div>
        
                    <label class="label">Senha:</label>
                    <div class="control has-icons-left">
                        <input class="input" type="password" ng-model="loginData.senha" required>
                        <span class="icon is-small is-left">
                            <i class="fas fa-lock"></i>
                        </span>
                    </div>
        
                    <button class="button is-primary" ng-click="logar()">Login</button>
        
                    <div class="content is-small mt-4">
                        <p>Você já se cadastrou?</p>
                        <button class="button is-link" ng-click="redirecionarCadastro()">Cadastre-se</button>
                    </div>
                </form>
            </div>
        </div>
        
                </form>
            </div>
        </div>
    </div>

    <script src="https://kit.fontawesome.com/a076d05399.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/angular@1.8.2/angular.min.js">
        </script>       
        <script>
            var app = angular.module("app", []);
            
         app.controller('LoginController', function ($scope, $window) {
    $scope.loginData = {};

    $scope.logar = function () {
        firebase.auth().signInWithEmailAndPassword($scope.loginData.email, $scope.loginData.senha)
            .then(function (userCredential) {
                // Autenticação bem-sucedida
                var user = userCredential.user;
                console.log('Usuário autenticado:', user);
                // Redirecionar para a página principal ou fazer outras ações necessárias
            })
            .catch(function (error) {
                // Tratar erros de autenticação
                var errorCode = error.code;
                var errorMessage = error.message;
                console.error('Erro de autenticação:', errorMessage);
            });
    };

    $scope.redirecionarCadastro = function () {
        $window.location.href = 'cadastro.html';
    };
});
    </script>

<script src="../components/firebase/key.js"></script>

</body>

</html>
